Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2008-4320

Overview

Vulnerability Score 4.3 4.3
CVE Id CVE-2008-4320
Last Modified 19 Aug 2009 01:19:44
Published 29 Sep 2008 03:25:35
Confidentiality Impact NONE NONE
Integrity Impact PARTIAL PARTIAL
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2008-4320

Summary

Multiple cross-site scripting (XSS) vulnerabilities in OpenNMS before 1.5.94 allow remote attackers to inject arbitrary web script or HTML via (1) the j_username parameter to j_acegi_security_check, (2) the username parameter to notification/list.jsp, and (3) the filter parameter to event/list.

Vulnerable Systems

Application

  • Opennms.org Opennms 1.0.0

  • Opennms.org Opennms 1.1.0

  • Opennms.org Opennms 1.1.1

  • Opennms.org Opennms 1.1.2

  • Opennms.org Opennms 1.1.3

  • Opennms.org Opennms 1.1.4

  • Opennms.org Opennms 1.1.5

  • Opennms.org Opennms 1.2.0

  • Opennms.org Opennms 1.2.1

  • Opennms.org Opennms 1.2.2

  • Opennms.org Opennms 1.2.3

  • Opennms.org Opennms 1.2.4

  • Opennms.org Opennms 1.3.0

  • Opennms.org Opennms 1.3.1

  • Opennms.org Opennms 1.3.10

  • Opennms.org Opennms 1.3.11

  • Opennms.org Opennms 1.3.2

  • Opennms.org Opennms 1.3.3

  • Opennms.org Opennms 1.3.4

  • Opennms.org Opennms 1.3.5

  • Opennms.org Opennms 1.3.6

  • Opennms.org Opennms 1.3.7

  • Opennms.org Opennms 1.3.8

  • Opennms.org Opennms 1.3.9

  • Opennms.org Opennms 1.5.90

  • Opennms.org Opennms 1.5.91

  • Opennms.org Opennms 1.5.92

  • Opennms.org Opennms 1.5.93


References

BID - 31410

CONFIRM - http://www.opennms.org/documentation/ReleaseNotesUnStable.html#d788e257

XF - opennms-jacegisecuritycheck-xss(45417)

SECUNIA - 32019

CONFIRM - http://bugzilla.opennms.org/show_bug.cgi?id=2634

CONFIRM - http://bugzilla.opennms.org/show_bug.cgi?id=2633

CONFIRM - http://bugzilla.opennms.org/show_bug.cgi?id=2631


Last Updated: 27 May 2016 10:48:27